# Generated from google-id-token-1.4.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name google-id-token

Name: rubygem-%{gem_name}
Version: 1.4.2
Release: 1%{?dist}
Summary: Google ID Token utilities
License: APACHE-2.0
URL: https://github.com/google/google-id-token/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(fakeweb)
# BuildRequires: rubygem(rspec)
# BuildRequires: rubygem(openssl)
BuildArch: noarch

%description
Google ID Token utilities; currently just a parser/checker.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.circleci
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/google-id-token.gemspec

%changelog
* Mon Sep 13 2021 mockbuilder - 1.4.2-1
- Initial package
